Appearance
Get sale order logs ​
GET
/v1/internal/accounting/salesorderlog
Get list of sale order logs with filtering and pagination. Restricted to ADMIN, FINANCE, and PRODUCT_MANAGEMENT roles.
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1distributor_id
Distributor ID to filter on
event_id
Event ID to filter on
supplier_id
Supplier ID to filter on
bookingorder_id
Booking order ID to filter on
salesorder_id
Sales order ID to filter on
invoice_id
Invoice ID to filter on
batch_id
Batch ID to filter on
payment_reference
Payment reference to filter on
date_invoice
Invoice date filter expression (e.g., 'between:[2024-01-01,2024-12-31]', 'ge:2024-01-01', 'le:2024-12-31')
business_model
Business model: BUYSELL, MARKETPLACE, RELISTING
order_source
Order source: B2B or B2C
sport_type
Sport type to filter on
sales_amount
Sales amount filter expression (e.g., 'between:[20000,30000]', 'ge:20000', 'le:30000')
margin_pct
Margin percentage filter expression (e.g., 'between:[0.1,0.3]', 'ge:0.1', 'le:0.3')
select
Comma-separated list of fields to select (e.g., 'month(created) as month,distributor_name,count(*) as total')
group_by
Comma-separated list of fields to group by (e.g., 'month(created),distributor_name')
Responses​
OK
application/json
JSON"sale_order_logs": [{"type": "standard","distributor_id": "string","country_code": "string","vat_category": null,"order_source": null,"cost_center": "string","cost_unit": "string","total_ticket_amount": 0,"event_id": "string","supplier_id": "string","payment_reference": null,"date_invoice": "string","distributor_name": "string","invoice_id": null,"number_tickets": 0,"total_amount_with_vat": null,"total_amount_invoiced_exact": null,"salesorder_id": null,"sales_amount": null,"margin_amount": null,"margin_pct": null,"sport_type": null,"bookingorder_id": "string","total_ticket_costprice": null,"total_ticket_commission": null,"batch_id": null,"business_model": null,"commission_rate": null,"commission_amount": null,"parent_invoice_id": null,"stock_entry_id": null,"invoice_entry_id": null,"payment_entry_id": null,"marketing_entry_id": null,"payment_method": null,"batch_bookingorder_id": null,"ticket_reverse_charge_applied": true,"created": null,"updated": null,"saleorderlog_id": null}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}